Subject: pkg/34151: openoffice won't compile with current (gcc4)
To: None <,,>
From: None <>
List: pkgsrc-bugs
Date: 08/07/2006 03:50:01
>Number:         34151
>Category:       pkg
>Synopsis:       openoffice won't compile with current (gcc4)
>Confidential:   no
>Severity:       critical
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Mon Aug 07 03:50:00 +0000 2006
>Originator:     Kenneth Freidank
>Release:        i386 current 3.99.21
NetBSD papadog.genken 3.99.21 NetBSD 3.99.21 (XSPD) #0: Thu Jul 13 07:51:25 EST 2006 solomon@papadog.genken:/usr/obj/sys/arch/i386/compile/XSPD i386
Compile dies during pre-requisite checks.  Checks find gcc 4.1.2 and compile halts because gcc3 is required.
$ make package
*                                                                  *
*   Checking the platform pre-requisites.                          *
*                                                                  *
checking for gawk... /usr/bin/awk
checking for /usr/bin/awk... /usr/bin/awk
checking for sed... /usr/bin/sed
checking the operating system... checked (NetBSD)
checking for i386--netbsdelf-gcc... cc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ANSI C... none needed
checking for cc... /usr/pkgsrc/misc/openoffice/work/.wrapper/bin/cc
checking the GNU gcc compiler version... configure: error: found version "4.1.2", use version 3+ of the gcc compiler
*** Error code 1

make: stopped in /usr/pkgsrc/misc/openoffice
===> There was an error during the ``configure'' phase.
===> Please investigate the following for more information:
===>      * config.log
===>      * /usr/pkgsrc/misc/openoffice/work/.work.log
*** Error code 1

make: stopped in /usr/pkgsrc/misc/openoffice
$ cd /usr/pkgsrc/misc/openoffice
$ make package
None that I know of.

I tried adding the following lines in various places in the package Makefile, but I get the same compile error.  I have gcc3 package installed.

.include "/usr/pkg/gcc3/mk/"
.include "/usr/pkg/gcc3/mk/"